

import java.lang.StringBuilder;


class Inputs
{
   String pubdid;
   Coord coord;
   boolean countNullValues;
   AuthPolicy auth;

   public Inputs(AuthPolicy auth, String pubdid, Coord coord, boolean countNullValues)
   {
      this.pubdid = pubdid;
      this.coord = coord;
      this.countNullValues = countNullValues;
      this.auth = auth;
   }

   public Inputs(AuthPolicy auth, Coord coord, boolean countNullValues)
   {
      this(auth, null, coord, countNullValues);
   }

   public Inputs(String pubdid, Coord coord, boolean countNullValues)
   {
      this(null, pubdid, coord, countNullValues);
   }

}

